%define fw_version 5.24

Summary:	KDE Frameworks 5 advanced plugin and service introspection module
Name:		kservice
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Patch0:		kservice-5.15.0-kde-menu.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5crash-devel >= %{version}
BuildRequires:	kf5dbusaddons-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 advanced plugin and service introspection module.

%files
%{_kde5_bindir}/kbuildsycoca5
%{_kde5_mandir}/man8/desktoptojson.8*
%{_kde5_mandir}/man8/kbuildsycoca5.8*
%{_kde5_servicetypes}/application.desktop
%{_kde5_servicetypes}/kplugininfo.desktop
# Never used (we use /etc/xdg/menus/kde-applications.menu) but let's keep it
%{_kde5_sysconfdir}/xdg/kde5/menus/kde-applications.menu

#----------------------------------------------------------------------------

%package i18n
Summary:	KService translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KService translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5service_major 5
%define libkf5service %mklibname kf5service %{kf5service_major}

%package -n %{libkf5service}
Summary:	KDE Frameworks 5 plugin and service introspection shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5service}
KDE Frameworks 5 plugin and service introspection shared library.

%files -n %{libkf5service}
%{_kde5_libdir}/libKF5Service.so.%{kf5service_major}*

#----------------------------------------------------------------------------

%define devkf5service %mklibname kf5service -d

%package -n %{devkf5service}
Summary:	Development files for KDE Frameworks 5 plugin and service introspection module
Group:		Development/KDE and Qt
Requires:	%{libkf5service} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5service-devel = %{version}

%description -n %{devkf5service}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5service}
%{_kde5_includedir}/KF5/KService
%{_kde5_includedir}/KF5/kservice_version.h
%{_kde5_libdir}/cmake/KF5Service
%{_kde5_libdir}/libKF5Service.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-man

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (e693b1e) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (e73fcb8) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (c4d5a79) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (5cd1bad) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (0411a14) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (0ee751a) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (ac5a51a) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (5864388) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (d040760) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (2fd0c1a) Bump release

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (d6b73f4) Drop mimeassociations patch (fixed upstream)
- (Andrey Bondrov: fdd82b1) New version 5.16.0

* Tue Oct 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-2
- (106436d) Backport mimeassociations patch from upstream

* Mon Oct 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (0822d8d) Update files
- (Andrey Bondrov: 769fe2d) Re-diff kde-menu patch
- (Andrey Bondrov: 2d9be8a) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (49a3389) Re-diff kde-menu patch
- (Andrey Bondrov: eb7d910) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (fc012be) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (d0942be) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (051d4da) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (2b1290c) New version 5.10.0

* Fri May 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (931a98e) Use /etc/xdg/menus/kde-applications.menu instead of /etc/xdg/menus/applications.menu
- (931a98e) Adjust BuildRequires

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (bb33cdc) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (cdf7f3c) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (b19b89b) MassBuild#682: Increase release tag

* Thu Mar 05 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-2
- (07e7723) Adjust devel package Provides and headers directory

* Wed Feb 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-1
- (f494235) Re-diff menu path patch
- (Andrey Bondrov: 8552df0) Add required KF5 version to BuildRequires
- (Andrey Bondrov: 1bc0187) New version 5.7.0


